Subject: Re: bug#15025: emacs --daemon stuck in infinite loop

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 08 Aug 2013 21:23:23 -0400

Dmitry Antipov <[email-masked]> writes:

> On 08/07/2013 03:55 AM, Glenn Morris wrote:
>
>> Dan Nicolaescu wrote:
>>
>>> This seems to be reproducible.
>>>
>>> emacs compiled with Lucid toolkit
>>>
>>> The recipe here uses Xnest because it easy to kill/restart, probably the same
>>> happens if the X session is killed.
>>>
>>> Xnest :1&
>>> xterm -display :1&
>>>
>>> Now type in the xterm above:
>>> emacs --daemon
>>>
>>> In a different xterm type:
>>> emacsclient -t Makefile
>>> (or any file that exists).
>>> C-z
>
> Should I run "different xterm" connected to base (:0) server or nested (:1)?

one connected to base.

> Anyway, I can't reproduce it now. Could you please try to run Emacs daemon with -Q?

I rebuilt my emacs, and I can reproduce it anymore.  I do see the
problem from time to time on my work machine, but I cannot reproduce it
reliably.

What should I look for when that happens?  
next_frame has that loop "while (passed < 2)" where emacs gets stuck,
but prev_frame does not.  Any idea what can it make it get stuck there?

I run into another problem when trying to reproduce this:

Xnest :1&
xterm -display :1&

Now type in the xterm above:
emacs -Q --daemon

In a different xterm in the default display (not in Xnest) type:
emacsclient -t Makefile
(or any file that exists).
M-x
C-z

(suspend while in minibuffer)

kill Xnest

go to a different xterm and type
emacsclient -t FOO 

where FOO is a file that exists.  This will display "Makefile", not
"FOO" 

      --dan